checks out of progressbar

This commit is contained in:
Tobias Powalowski 2023-08-02 20:54:58 +02:00
parent e48a9135b1
commit 78ce39fb07
2 changed files with 10 additions and 5 deletions

View file

@ -40,12 +40,16 @@ _archboot_check
_download_latest _download_latest
# Generate new environment and launch it with kexec # Generate new environment and launch it with kexec
if [[ -n "${_L_COMPLETE}" || -n "${_L_INSTALL_COMPLETE}" ]]; then if [[ -n "${_L_COMPLETE}" || -n "${_L_INSTALL_COMPLETE}" ]]; then
_update_installer_check
touch /.update
_TITLE="Archboot $(uname -m) | Basic Setup | New Environment" _TITLE="Archboot $(uname -m) | Basic Setup | New Environment"
_new_environment | _dialog --title "${_MENU_TITLE}" --gauge "Waiting for pacman keyring..." 6 75 0 _new_environment | _dialog --title "${_MENU_TITLE}" --gauge "Waiting for pacman keyring..." 6 75 0
clear clear
fi fi
# Generate new images # Generate new images
if [[ -n "${_G_RELEASE}" ]]; then if [[ -n "${_G_RELEASE}" ]]; then
_update_installer_check
touch /.update
_TITLE="Archboot $(uname -m) | Basic Setup | New Images" _TITLE="Archboot $(uname -m) | Basic Setup | New Images"
_new_image | _dialog --title "${_MENU_TITLE}" --gauge "Removing not necessary files from /..." 6 75 0 _new_image | _dialog --title "${_MENU_TITLE}" --gauge "Removing not necessary files from /..." 6 75 0
clear clear
@ -64,6 +68,9 @@ if [[ -n "${_L_XFCE}" || -n "${_L_SWAY}" || -n "${_L_PLASMA}" || -n "${_L_GNOME}
fi fi
# Switch to full Arch Linux system # Switch to full Arch Linux system
if [[ -n "${_FULL_SYSTEM}" ]]; then if [[ -n "${_FULL_SYSTEM}" ]]; then
_full_system_check
_update_installer_check
touch /.update
_TITLE="Archboot $(uname -m) | Basic Setup | Full System" _TITLE="Archboot $(uname -m) | Basic Setup | Full System"
_full_system | _dialog --title "${_MENU_TITLE}" --gauge "Refreshing pacman package database..." 6 75 0 _full_system | _dialog --title "${_MENU_TITLE}" --gauge "Refreshing pacman package database..." 6 75 0
clear clear

View file

@ -48,6 +48,7 @@ _create_container() {
_network_check() { _network_check() {
if ! getent hosts www.google.com &>"${_NO_LOG}"; then if ! getent hosts www.google.com &>"${_NO_LOG}"; then
_dialog --title " ERROR " --infobox "Network not yet ready. Please configure your network first." 3 70 _dialog --title " ERROR " --infobox "Network not yet ready. Please configure your network first." 3 70
clear
sleep 3 sleep 3
exit 1 exit 1
fi fi
@ -56,6 +57,7 @@ _network_check() {
_update_installer_check() { _update_installer_check() {
if [[ -f /.update ]]; then if [[ -f /.update ]]; then
_dialog --title " ERROR " --infobox "update is already running on other tty...\nYou need to remove /.update first!" 4 70 _dialog --title " ERROR " --infobox "update is already running on other tty...\nYou need to remove /.update first!" 4 70
clear
sleep 3 sleep 3
exit 1 exit 1
fi fi
@ -67,6 +69,7 @@ _update_installer_check() {
_full_system_check() { _full_system_check() {
if [[ -e "/.full_system" ]]; then if [[ -e "/.full_system" ]]; then
_dialog --title " SUCCESS " --infobox "Full Arch Linux system already setup." 3 _dialog --title " SUCCESS " --infobox "Full Arch Linux system already setup." 3
clear
sleep 3 sleep 3
exit 0 exit 0
fi fi
@ -172,8 +175,6 @@ _download_latest() {
} }
_new_environment() { _new_environment() {
_update_installer_check
touch /.update
_kill_w_dir _kill_w_dir
_gpg_check _gpg_check
_progress "5" "Removing files from /..." _progress "5" "Removing files from /..."
@ -284,9 +285,6 @@ _new_environment() {
} }
_full_system() { _full_system() {
_full_system_check
_update_installer_check
touch /.update
_progress "1" "Refreshing pacman package database..." _progress "1" "Refreshing pacman package database..."
pacman -Sy >"${_LOG}" 2>&1 || exit 1 pacman -Sy >"${_LOG}" 2>&1 || exit 1
_PACKAGES="$(pacman -Qqn)" _PACKAGES="$(pacman -Qqn)"